Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Types | Properties | List of all members
CSSharingApplicationWindow Class Reference

CSSharingApplicationWindow object provides set of information about window which can be shared using CSContentSharing::startSharingApplicationWindowWithWindow:completionHandler. More...

`#import <CSSharingApplicationWindow.h>`

Inherits NSObject.

## Protected Types
enum | CSSharingApplicationWindowState { CSSharingApplicationWindowStateUnknown, CSSharingApplicationWindowStateMinimized, CSSharingApplicationWindowStateRestored, CSSharingApplicationWindowStateDestroyed }
| Enum indicating state of the shared application window. More...

## Properties
NSUInteger | winId
| Unique ID associated with the application window. More...
NSString * | title
| Title of the window. More...
NSString * | fullTitle
| Full title of the application associated with the window. More...
NSString * | applicationName
| Name of the application associated with the window. More...
NSImage * | windowIcon
| Icon of the application associated with the window. More...

## Detailed Description

CSSharingApplicationWindow object provides set of information about window which can be shared using CSContentSharing::startSharingApplicationWindowWithWindow:completionHandler.

See also
  CSContentSharing::startSharingApplicationWindowWithWindow:completionHandler

## Member Enumeration Documentation

- (enum) CSSharingApplicationWindowState
| protected

Enum indicating state of the shared application window.

Used by contentSharing:didChangeApplicationWindowState:.

See also
  - contentSharing:didChangeApplicationWindowState: (CSContentSharingDelegate-p)

Enumerator
CSSharingApplicationWindowStateUnknown | State of the window is unknown.
CSSharingApplicationWindowStateMinimized | Window is minimized. Sharing is paused internally by Client SDK while in this state.
CSSharingApplicationWindowStateRestored | Window is restored (state of the window after minimization). No action on Client SDK side.
CSSharingApplicationWindowStateDestroyed | Window is destroyed (e.g. window was closed or application was terminated). Sharing is paused internally by Client SDK while in this state.

## Property Documentation

- (NSString*) applicationName
| read nonatomic assign

Name of the application associated with the window.

- (NSString*) fullTitle
| read nonatomic assign

Full title of the application associated with the window.

- (NSString*) title
| read nonatomic assign

Title of the window.

- (NSImage*) windowIcon
| read nonatomic assign

Icon of the application associated with the window.

Can be nil in case when window is closed between retrieving window id and retrieving window icon from system.

- (NSUInteger) winId
| read nonatomic assign

Unique ID associated with the application window.

The documentation for this class was generated from the following file:

- CSSharingApplicationWindow.h